package ts.test.inventory;

import java.util.List;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;
import javax.persistence.EntityManager;
import javax.persistence.Query;

import org.jboss.solder.logging.Logger;

import ts.test.entity.Blah;

@Named ("blahqueries")
@RequestScoped
public class BlahQueries {

	@Inject
	private EntityManager em;
	 
	@Inject
	private Logger log;

	
	
	public List<Blah> getBlahs(){
		
		List<Blah> blahs = null;
		try{
			Query query = em.createNamedQuery("Blah.getAll");
			
			blahs = query.getResultList();
		}catch(Exception e){
			log.warn("Exception during DB Query: ", e);
			return null;
		}
		
		return blahs;
	}

	
	public Blah getBlahById(final Long id){
		
		Blah blah = null;
		try{
			Query query = em.createNamedQuery("Blah.findById");
			query.setParameter("id", id);
			
			blah = (Blah) query.getSingleResult();
		}catch (Exception e){
			log.warn("Exception during DB Query: ", e);
			return null;
		}
		
		return blah;
	}
	
}
